Skip to content
Start here

Preview Result

load_balancers.previews.get(strpreview_id, PreviewGetParams**kwargs) -> PreviewGetResponse
GET/accounts/{account_id}/load_balancers/preview/{preview_id}

Get the result of a previous preview operation using the provided preview_id.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Load Balancing: Monitors and Pools WriteLoad Balancing: Monitors and Pools Read
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
preview_id: str
ReturnsExpand Collapse
Dict[str, PreviewGetResponseItem]

Resulting health data from a preview operation.

healthy: Optional[bool]
origins: Optional[List[Dict[str, PreviewGetResponseItemOriginPreviewGetResponseItemOriginItem]]]
failure_reason: Optional[str]
healthy: Optional[bool]
response_code: Optional[float]
rtt: Optional[str]

Preview Result

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
preview = client.load_balancers.previews.get(
    preview_id="p1aba936b94213e5b8dca0c0dbf1f9cc",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(preview)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "abwlnp5jbqn45ecgxd03erbgtxtqai0d": {
      "healthy": true,
      "origins": [
        {
          "originone.example.com.": {
            "failure_reason": "No failures",
            "healthy": true,
            "response_code": 200,
            "rtt": "66ms"
          }
        }
      ]
    }
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "abwlnp5jbqn45ecgxd03erbgtxtqai0d": {
      "healthy": true,
      "origins": [
        {
          "originone.example.com.": {
            "failure_reason": "No failures",
            "healthy": true,
            "response_code": 200,
            "rtt": "66ms"
          }
        }
      ]
    }
  },
  "success": true
}